.modal {
    display: none;
    /* Hide modal by default */
    position: fixed;
    /* Position modal overlay */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    /* Semi-transparent black background */
    z-index: 9999;
    /* Ensure modal appears on top of other content */
}

.modal-content {
    background-color: white;
    border-radius: 5px;
    padding: 20px;
    width: 40%;
    margin: auto;
    /* Center modal horizontally */
    margin-top: 10%;
    /* Center modal vertically */
}

/* Close button style */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}